import Foundation

struct TagFile {

    let id: String

    let isVisible: Bool

    let german: LocalizedTagFile

    let english: LocalizedTagFile

}

extension TagFile: Codable {

}

struct LocalizedTagFile {

    /// The id of the tag, used also as a url component
    let urlComponent: String

    /// A custom name, different from the tag id
    let name: String

    let linkPreviewTitle: String?

    let linkPreviewDescription: String?

    /// The image id of the thumbnail
    let linkPreviewImage: String?

    /// The original url in the previous site layout
    let originalURL: String?

}

extension LocalizedTagFile: Codable {

}
